<HTML>
<HEAD>
   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
   <META NAME="GENERATOR" CONTENT="Mozilla/4.04 [en] (X11; I; SunOS 5.6 sun4u) [Netscape]">
   <TITLE>IBM DB2 Installation</TITLE>
</HEAD>
<BODY bgcolor="white" text="black">

<h1 align="center">Steps to installation of IBM DB2 8.2 software</h1>

<p>The following instructions are for the installation of DB2 8.2 on Solaris
and Linux (Solaris 10 and Fedora Core kernel 2.6 and up ) systems.  You need to install the DB2 software on the
computer which the database will reside; we refer to this computer
as "metaserver", though its true hostname could be something
different.  It may or may not be the same machine on which you will
build LDAS.

There are separate links for different DB2 8.2 versions on various platforms
<ul>
<li><a href="#SolarisLinux32">32 bit DB2 8.2.2 on running Solaris 10 or Linux Fedora Core 4</a></li>
<li><a href="#AMDSolaris64">64 bit DB2 8.2.4 on AMD Opteron running Solaris 10</a></li>
<li><a href="#AMDLinux64">64 bit DB2 8.2.6 on AMD Opteron running Linux</a></li>
</ul>

<p>
<a name="SolarisLinux32"><h2>Installation of 32 bit DB2 on Solaris and Linux</h2></a>
<ol>
<li><h2>Prerequisites</h2>

<p>
For Linux systems, download and install <a href="http://www-106.ibm.com/developerworks/java/jdk/linux140/">IBM Java2 Developer Kit 1.4.1</a>.
IBM does not provide a JDK for Solaris systems.
You will have to register with IBM in order to download the software.
Make sure you download the SDK RPM (e.g. <tt>IBMJava2-SDK-1.4.2-1.0.i386.rpm</tt>).
Also, it is necessary to create a link for Java2 1.3.1 due to hard-coded paths in some DB2 utilities.
Run the following commands as user <b>root</b> to properly install IBM Java2 1.4.2.
<ul><p><font color="brown"><tt>
    rpm -ivh IBMJava2-SDK-1.4.2-1.0.i386.rpm<br>
    cd /opt<br>
    ln -s IBMJava2-142 IBMJava2-131<br>
</ul></tt></font><p>
Verify that the Java package has been installed by entering:
<p><font color="brown"><pre>
rpm -qa | grep -i ibm
IBMJava2-SDK-1.4.2-1.0
</pre></font> 

<li><h2>Prepare the installation media</h2>

<p>
Log in to the database server as user <b>root</b>.
Remain logged in as <b>root</b> unless otherwise specified.

<p>
Depending on how you obtained the DB2 software will determine where the installation files are located.
If you received the software on CD-ROM, you will need to mount it on the appropriate system.
Make sure the CD-ROM includes "DB2 Universal Database Enterprise Server Edition" and is for the correct operating system (Solaris or Linux).
If you downloaded the software from IBM's web-site, you will need to extract the archive to a local or NFS-mounted filesystem.
If there is a mirror image of DB2 on a file system, you can mount (as root) the mirror software as an nfs file system to extract from:
<ul><p><font color="brown"><tt>
    mount gateway-dev:/export/mirror /mnt/nfs<br>
</ul></tt></font>

<li><h2>Install DB2 Enterprise Server Edition software for DB2 8.1</h2>

<p>
Change to the top-level directory of the DB2 installation files, which were prepared in the previous step.
Type <font color="brown"><tt>./db2_install</tt></font> to start the installer script.
When the installer prompts for a product code, enter <font color="brown"><tt>DB2.ESE</tt></font>.
When the installation completes, run the following command to install the license file.
<ul><p><font color="brown"><tt>
    /opt/IBM/db2/V8.1/adm/db2licm -a ./db2/license/db2ese.lic<br>
</ul></tt></font>

<p>
You can now safely unmount or remove the installation files.

<li><h2>Install DB2 FixPak 9a to upgrade DB2 8.1 to 8.2.2 </h2>
This latest fixpak is installed over DB2 8.1.0 or higher up to 8.2.1. 
<p>
Download the FixPak for the appropriate system from IBM's FTP server:

<ul><p>
    <a href="ftp://ftp.software.ibm.com/ps/products/db2/fixes2/english-us/db2linux2632/fixpak/FP9a_MI00117/FP9a_MI00117.tar">Linux 2.6 kernel (DB2 32 bit) FixPak 9a</a><br>
    <a href="ftp://ftp.software.ibm.com/ps/products/db2/fixes2/english/db2sunv8/fixpak/FP9a_U800790/FP9a_U800790.tar.Z">Solaris version 9 FixPak 9a</a><br>
    <a
    href="ftp://ftp.software.ibm.com/ps/products/db2/fixes2/english/db2sunv8/fixpak/FP10_U803921/FP10_U803921.tar.Z">Solaris
    version 10 FixPak 10</a><br>
</ul>
</li>
<li><h2>Install DB2 FixPak 14 to upgrade DB2 8.2.2 to 8.2.7 </h2>
This latest fixpak is installed over DB2 8.2 or higher up to bring db2 level to 8.2.7. 
<p>
Download the FixPak for the appropriate system from IBM's FTP server:

<ul><p>
    <a href="ftp://ftp.software.ibm.com/ps/products/db2/fixes2/english-us/db2linux2632/fixpak/FP14_MI00176/FP14_MI00176.tar">Linux 2.6 kernel (DB2 32 bit) FixPak 14</a><br>
</ul>
</li>
<p>See <a href="#upgradeDB2">Steps to upgrade from a fixpak</a> for upgrade details.


<p>
<li><h2>Adjust system kernel parameters</h2>
<ul>
<p><li><h3>Solaris 10</h3>

<p>Nothing needs to be done for Solaris 10 for now.
</li>
<p><li><h3>Solaris 9</h3>

<p>
The recommended Solaris 9 kernel parameter settings depend on the amount of physical memory installed in your system.
DB2 provides sample files with recommended kernel parameter settings according to different memory configurations.
The sample files are provided with the DB2 installation files in the <tt>db2/solaris/samples</tt> directory, with the following names:
<dl><p>
    <dt><b>kernel.param.1GB</b></dt>
        <dd>for systems with 1-2GB of physical memory</dd>
    <dt><b>kernel.param.2GB</b></dt>
        <dd>for systems with 2-4GB of physical memory</dd>
    <dt><b>kernel.param.4GB</b></dt>
        <dd>for systems with 4-16GB of physical memory</dd>
    <dt><b>kernel.param.16GB</b></dt>
        <dd>for systems with 16+ GB of physical memory</dd>
</dl>

<p>
Depending on the amount of physical memory in your system, append the contents of the appropriate <tt>kernel.param</tt> file to the <tt>/etc/system</tt> file.
It is necessary to reboot the computer for the new settings to take effect.

<p>
<b>Note:</b> The <tt>shmsys:shminfo_shmmax</tt> parameter should be set to the suggested value in the appropriate <tt>kernel.param</tt> file, or 90% of physical memory (in bytes), whichever is greater.
For example, if you have 196 MB of physical memory in your system, set the <tt>shmsys:shminfo_shmmax</tt> parameter to 184968806 (196 * 1024 * 1024 * 0.9).

<p>
DB2 for Solaris also provides a utility that recommends kernel parameters based on the size and configuration of your system.
This tool is named <tt>db2osconf</tt> and can be found in <tt>/opt/IBM/db2/V8.1/bin</tt>.
To use <tt>db2osconf</tt> correctly, first use the values in one of the above mentioned files.
Then run <tt>db2osconf</tt> to fine tune your system with more accurate values.

</li>
<p><li><h3>Linux</h3>

Modify the kernel parameters by adding the following lines to <tt>/etc/sysctl.conf</tt>:
<ul><p><tt><font color="brown">
    kernel.msgmni = 1024<br>
    kernel.sem = 250 256000 32 1024<br>
</ul></tt></font>

<p>
Run the following command to load in the new settings:
<ul><tt><font color="brown">
    /sbin/sysctl -p<br>
</ul></tt></font>
</li>
</ul>

<li><h2>Create Unix usernames for database access</h2>

<p>
All database access will be done through the username <b>ldasdb</b>.
Create the <b>ldasdb</b> user by running the following commands.
Replace <tt>/usr1</tt> with your choice of location for the database user account.
<ul><p><font color="brown"><tt>
    mkdir -p /usr1<br>
    /usr/sbin/groupadd ldas<br>
    /usr/sbin/useradd ldasdb -m -g ldas -s /bin/tcsh -d /usr1/ldasdb<br>
    chmod 755 /usr1/ldasdb<br>
    touch /usr1/ldasdb/.login /usr1/ldasdb/.profile<br>
    chown ldasdb:ldas /usr1/ldasdb/.login /usr1/ldasdb/.profile<br>
</ul></tt></font>

<p>
Set a password for this account by running the following command and entering a new password when prompted.
<ul><p><font color="brown"><tt>
    passwd ldasdb<br>
</ul></tt></font>


<li><h2>Create the databases directory</h2>

<p>
Create a directory, owned by <b>ldasdb</b>, for the purpose of storing the database data.
This directory can also hold more than one database.
By convention we will call this directory <tt>databases</tt>.
Replace <tt>/usr1</tt> with your choice of location for the database data.
<ul><p><font color="brown"><tt>
    mkdir -p /usr1/databases<br>
    chmod 755 /usr1/databases<br>
    chown ldasdb:ldas /usr1/databases<br>
</ul></tt></font>


<li><h2>Create the DB2 user instance</h2>

<p>
An instance is a DB2 database manager running under a specific Unix username.
Each instance may contain one or more databases.
To create an instance for <b>ldasdb</b>, run the following commands.
This will create the directory <tt>/usr1/ldasdb/sqllib</tt> and modify <tt>/usr1/ldasdb/.login</tt> to properly configure the environment at login time.
<ul><p><font color="brown"><tt>
    /opt/IBM/db2/V8.1/instance/db2icrt -s ese -u ldasdb ldasdb<br>
</ul></tt></font>


<li><h2>Create a DB2 administrator account (optional)</h2>
<p>
For some DB2 operations, it may be necessary to use a DB2 adminstrator account.
Create a <b>db2das</b> account by running the following commands.
Replace <tt>/usr1</tt> with your choice of location for the database adminstrator account.
<ul><p><font color="brown"><tt>
    /usr/sbin/groupadd -r db2adm<br>
    /usr/sbin/useradd db2das -m -g db2adm -s /bin/tcsh -d /usr1/db2das<br>
    touch /usr1/db2das/.login /usr1/db2das/.profile<br>
    chown db2das:db2adm /usr1/db2das/.login /usr1/db2das/.profile<br>
</ul></tt></font>

<p>
Set a password for this account by running the following command and entering a new password when prompted.
<ul><p><font color="brown"><tt>
    passwd db2das<br>
</ul></tt></font>

<p>
Create a DAS instance by running the following command.
<ul><p><font color="brown"><tt>
    /opt/IBM/db2/V8.1/instance/dascrt -u db2das<br>
</ul></tt></font>


<li><h2>Migrate from DB2 7.2</h2>

<p>
If you are upgrading from a DB2 7.2 installation, you can migrate the existing instance and databases for use in DB2 8.1.
The IBM DB2 documentation has detailed information on migrating instances and databases.
Specifically, chapters 4 and 6 of the Quick Beginnings document are very informative.
Refer to the <a href="#info">end of this document</a> for links to DB2 documentation.
The steps below are summarized from the DB2 documentation.

<ol>
    <li><h3>Backup existing databases</h3>
    <p>
    As a precaution, backup all existing databases before migrating.
    Run the following command as user <b>ldasdb</b> for each database.
    Replace <tt>ldas_tst</tt> with the name of a database on your system.
    Replace <tt>/usr1/databases/backup</tt> with your choice of backup directory.
    Make sure the backup directory already exists before starting the backup.
    <ul><p><font color="brown"><tt>
        db2 backup database ldas_tst to /usr1/databases/backup<br>
    </ul></tt></font>

    To get a list of available databases, issue the following DB2 command.
    <ul><p><font color="brown"><tt>
        db2 list database directory<br>
    </ul></tt></font>

    <li><h3>Take the DB2 server offline</h3>
    To shut down the DB2 7.1 server, run the following commands as user <b>ldasdb</b>.
    <ul><p><font color="brown"><tt>
        db2licd -end<br>
        db2 terminate<br>
        db2 force applications all<br>
        db2stop<br>
    </ul></tt></font>

    <li><h3>Migrate existing instance</h3>
    <p>
    To migrate the <b>ldasdb</b> instance, run the following commands as user <b>root</b>.
    <ul><p><font color="brown"><tt>
        /opt/IBM/db2/V8.1/instance/db2imigr ldasdb<br>
    </ul></tt></font>

    <p>
    On Linux systems remove the following line from <tt>/usr1/ldasdb/.login</tt>, if it exists.
    <ul><p><font color="brown"><tt>
        setenv LD_ASSUME_KERNEL 2.2.5<br>
    </ul></tt></font>

    <li><h3>Migrate existing database(s)</h3>
    <p>
    Log in as user <b>ldasdb</b> and follow the instructions found below to <a href="#config">Configure the database manager</a>.
    To migrate existing databases, run the following command for each database.
    Replace <tt>ldas_tst</tt> with the name of a database on your system.
    <ul><p><font color="brown"><tt>
        db2 migrate database ldas_tst<br>
    </ul></tt></font>

    <p>
    Make sure to re-configure each database with the recommended settings, as the original configuration settings are not migrated.
    It is also recommended to update the table statistics by running the <tt>runstats</tt> command on preformance critical database tables.

    <li><h3>Uninstall DB2 7.2 software</h3>
    <p>
    As user <b>root</b>, change to the top-level directory of the DB2 7.2 installation files and type
    <font color="brown"><tt>./db2_deinstall</font></tt>. Unfortunately the <tt>db2_deinstall</tt> script does not
    remove everything from the 7.2 installation and requires some manual cleanup. Edit <tt>/etc/inittab</tt>
    and remove the following line (towards the bottom).
    <ul><p><font color="brown"><tt>
        db:234:once:/etc/rc.db2 &gt; /dev/console 2&gt;&amp;1 # Autostart DB2 Services<br>
    </ul></tt></font>

    <p>
    You can safely remove <tt>/etc/rc.db2</tt> as it is not used by DB2 8.1.
    On Linux systems, there should no longer be a <tt>/usr/IBMdb2</tt> directory.
    If the directory still exists, it probably contains files that were modified after the 7.2 installation for RedHat 9 or Fedora Core 3 compatibility .
    In that case, you can safely remove the <tt>/usr/IBMdb2</tt> directory.
</ol>

<a name="config"></a>
<li><h2>Configure the database manager</h2>
<p>
It is no longer necessary to be logged in as user <b>root</b>.
Perform this step as user <b>ldasdb</b>.

<ul>
    <li>Enable TCP/IP connections to the database.
    <ul><p><font color="brown"><tt>
        db2set DB2COMM=TCPIP<br>
    </ul></tt></font>

    <li>Enable an instance to auto-start after a system restart.
    <ul><p><font color="brown"><tt>
        db2set DB2AUTOSTART=YES<br>
    </ul></tt></font>

    <li>Configure the <tt>SVCENAME</tt> and <tt>DIAGLEVEL</tt> database manager parameters.
    <ul><p><font color="brown"><tt>
        db2 update database manager configuration using svcename 50002<br>
        db2 update database manager configuration using diaglevel 4<br>
        db2 terminate<br>
    </ul></tt></font>

    <li>Start the database manager.
    <ul><p><font color="brown"><tt>
        db2start<br>
    </ul></tt></font>
    <li>Allow write access of DB2 diagnostic log to applications.
    <ul><p><font color="brown"><tt>
        chmod a+w /usr1/ldasdb/sqllib/db2dump/db2diag.log <br>
        ls -l /usr1/ldasdb/sqllib/db2dump/db2diag.log<br>
        <i>-rw-rw-rw-  1 ldasdb ldas 45990754 Dec 22 10:34 /usr1/ldasdb/sqllib/db2dump/db2diag.log</i>
    </ul></tt></font>
</ul>

<a name="ValidateInstallation">
<li><h2>Validate the installation (optional)</h2>
<p>
Log in as user <b>ldasdb</b> and run the following command to create a sample database.
This can take a few minutes to process.
There is no completion message; when the shell prompt returns, the process is complete.
<ul><p><font color="brown"><tt>
    db2sampl<br>
</ul></tt></font>

<p>
Enter the following commands to connect to the sample database, retrieve a list of all the employees that work in department 20, and reset the database connection.
<ul><p><font color="brown"><tt>
    db2 connect to sample<br>
    db2 "select * from staff where dept = 20"<br>
    db2 connect reset<br>
</ul></tt></font>

<p>
The query above should return the following information:
<ul><pre>
ID     NAME      DEPT   JOB   YEARS  SALARY    COMM     
------ --------- ------ ----- ------ --------- ---------
    10 Sanders       20 Mgr        7  18357.50         -
    20 Pernal        20 Sales      8  18171.25    612.45
    80 James         20 Clerk      -  13504.60    128.20
   190 Sneider       20 Clerk      8  14252.75    126.50

  4 record(s) selected.
</pre></ul>

<p>
After you have verified the installation, remove the sample database.
<ul><p><font color="brown"><tt>
    db2 drop database sample<br>
</ul></tt></font>

<a name="upgradeDB2"></a>
<li><h2>Steps to upgrade from a fixpak</h2>
<ol start="1." type="I">
<li>As database user ldasdb, stop DB2 server:
<pre><font color="brown">
db2stop
</pre></font>
<li>Extract the archive, uncompressing as necessary, to a temporary directory e.g. <b>/tmp</b>.
Change to the temporary directory e.g. <b>/tmp</b> and type <font color="brown"<tt>./installFixPak -y</tt></font> to update the DB2 installation.
After the update completes, you can safely remove the extracted files. </li><p>
<li>Update the instance<p>
<pre><font color="brown">
/opt/IBM/db2/V8.1/instance/db2iupdt ldasdb
</pre></font></li>
<li>Update the sytem catalog to use the current fixpak capabilities<p>
As db2 instance user, foreach database enter:
<pre><font color="brown">
db2updv8 -d &lt;dbname&gt;
</pre></font></li>
<li>Restart DB2 server
<pre><font color="brown">
db2start
</pre></font>
</li>
<li>If there are existing databases in a database directory other than the home directory of
the database user, you may need to recatalog these databases again, e.g. given database ldas_tst
on /usr1/databases before the upgrade, the databae file path is not in the system catalog.
<font color='magenta'>Note: this step may not be necessary if db2updv8 is used to make current on the fixpak.</font>
<pre><font color="brown">
db2 list database directory on /usr1/databases

 Local Database Directory on /usr1/databases

 Number of entries in the directory = 1

Database 1 entry:

 Database alias                       = LDAS_TST
 Database name                        = LDAS_TST
 Database directory                   = SQL00001   <--- no file path
 Database release level               = a.00
 Comment                              =
 Directory entry type                 = Home
 Catalog database partition number    = 0
 Database partition number            = 0

</pre></font>
So issue the following command:
<pre><font color="brown">
db2 catalog database ldas_tst on /usr1/databases
</pre></font>
Verify the system information on the database is correct:
<pre><font color="brown">
db2 list database directory

 System Database Directory

 Number of entries in the directory = 1

Database 1 entry:

 Database alias                       = LDAS_TST
 Database name                        = LDAS_TST
 Local database directory             = /usr1/databases <--- file path
 Database release level               = a.00
 Comment                              =
 Directory entry type                 = Indirect
 Catalog database partition number    = 0
 Alternate server hostname            =
 Alternate server port number         =

</pre></font>
Repeat catalog for each existing database.<p>
</li>
<li>Bind binding files - bind your DB2 utilities against all your databases after installation. 
This step is necessary for the fixes to complete the installation and ensure that the right code level is used. 
The procedure of binding, which follows, needs to be performed only once per database.
Not all bnd files in the bnd directory are needed.

<p>At a command prompt, enter:
<pre><font color="brown">
       db2 terminate
       db2 CONNECT TO &lt;dbname&gt;
       db2 BIND &lt;path&gt;/@db2ubind.lst BLOCKING ALL GRANT PUBLIC ACTION ADD
       db2 terminate
</pre></font>
where &lt;path&gt; represents the full path name of the directory where the bind files are located, such as <b>$HOME/sqllib/bnd</b> where $HOME
 represents the home directory of the instance for the database server. db2ubind.lst and db2cli.lst contain lists of 
 required bind files used by DB2 UDB. Packages that are already bound will return an SQL0719 error. This is expected.
</li> <p>
<li>Also bind db2schema.bnd (needed for catalog function support ) to each database.

<p>At a command prompt, enter:
<pre><font color="brown">
       db2 terminate
       db2 CONNECT TO &lt;dbname&gt;
       db2 BIND &lt;path&gt;/db2schema.bnd BLOCKING ALL GRANT PUBLIC sqlerror continue
       db2 terminate
</pre></font>
More details are in the <a href='ftp://ftp.software.ibm.com/ps/products/db2/fixes2/english-us/db2linux2632/fixpak/FP14_MI00176/FixPackReadme.html'>documentation of fixpak 14</a>
</li>
</ol>

</ol>

<a name="AMDSolaris64"><h2>Installation of 64 bit DB2 on AMD Opteron or UltraSparc running Solaris 10</h2></a>
<ol>
<li><h2>Prerequisites</h2>
<p>The DB2 tarball for 64 bit Solaris X86 or UltraSparc contains pre-requsites and installation instructions.
Basically you must be using Solaris 10 1/06 or greater and have the 64-bit
version of Java installed. <p>
In order to obtain DB2 entire system installation tarballs,
you must be a registered user of IBM. Users of educational systems must be
registered in the Scholar Program.</li>
<li><h2>Increase Resource </h2>
Increase the limits of shared memory segments, semaphore ids and total memory used for
shared memory by appending the following to /etc/system for DB2:
<pre><font color='brown'>
* For DB2
set msgsys:msginfo_msgmni = 3584
set semsys:seminfo_semmni = 4096
set shmsys:shminfo_shmmax = 15392386252
set shmsys:shminfo_shmmni = 4096
</font></pre></li>
<li><h2>Obtain DB2 Enterprise Server Edition software for DB2 9.1.0.5</h2><p>
Obtain the DB2 9.1 tarball <b>DB2_ESE_V91_Solaris_x86-64.tar.gz</b> for AMD 64 bit on Solaris 10
from IBM using a valid user license. For solaris ultrasparc the tarball is v9fp5_sunos_ese.tar.gz.

<li><h2>Install DB2 9.1</h2>
The default installation directory is /opt/IBM/db2/V9.1.
This installation will take about 20 minutes some occasional logs to the screen.
<ul>
<li>Unzip/untar tarball contents into /tmp as a subdirectory.</li><p>
<li>cd to directory <i><b>/tmp/ese/disk1</i></b> containing files untarred and enter:
<pre><font color='brown'>
./db2_install

    Default directory for installation of products - /opt/IBM/db2/V9.1

***********************************************************
Do you want to choose a different directory to install [yes/no] ?
no


Specify one or more of the following keywords,
separated by spaces, to install DB2 products.

  CLIENT
  RTCL
  ESE

Enter "help" to redisplay product names.

Enter "quit" to exit.

***********************************************************
ese
DB2 installation is being initialized.
</font></pre></li> 
<li>After a successful upgrade, remove <i><b>/tmp/ese</b></i> subdirectory.</li></ul>

<li><h2>Update to the latest fixpak</h2>
Obtain the DB2 9.1.0.4 fixpak tarball <b>v9fp4_sunamd64_ese.tar.gz</b> for AMD 64 bit on Solaris 10 at
http://www-1.ibm.com/support/docview.wss?rs=71&uid=swg21268149 </h2><p>

Untar fixpack to in /tmp.
cd /tmp and run <font color='brown'>./installFixPak -y</font>

<li><h2>Create a 64 bit DB2 instance</h2><p>
This is done by using the command:
<pre><font color='brown'>
/opt/IBM/db2/V9.1/instance/db2icrt -s ese -u ldasdb ldasdb
</font></pre>
<li>As user <b>ldasdb</b>, start DB2 via
<pre><font color='brown'>
	db2start
</font></pre></li>
<li><h2>Verify the DB2 version installed</h2><p>
<a href="#ValidateInstallation">Execute step #12</a> in the instructions for installation of 32 bit DB2 for Solaris and Linux.
Before deleting the sample database connect to the sample database and verify the db2 8.2 patch level:
<pre><font color=brown>
	db2 connect to sample
    
    Database Connection Information

 Database server        = DB2/SUN64 9.1.0.4
 SQL authorization ID   = LDASDB
 Local database alias   = SAMPLE

</font></pre>
Another way to verify the DB2 version is via the <b>db2level</b> command:
<pre><font color='brown'>
db2level
DB21085I  Instance "ldasdb" uses "64" bits and DB2 code release "SQL09014" with
level identifier "01050107".
Informational tokens are "DB2 v9.1.0.4", "s071028", "U811794", and Fix Pack
"4".
Product is installed at "/opt/IBM/db2/V9.1".
</font></pre>
For solaris UltraSparc, the db2level is 9.1.5:
<pre><font color='brown'>
> db2level
DB21085I  Instance "ldasdb" uses "64" bits and DB2 code release "SQL09015" with
level identifier "01060107".
Informational tokens are "DB2 v9.1.0.5", "s080512", "U815923", and Fix Pack
"5".
Product is installed at "/opt/IBM/db2/V9.1".
</font></pre>
</ol>

<a name="AMDLinux64"><h2>Installation of 64 bit DB2 on AMD Opteron running Linux</h2></a>
<ol>
<li><h2>Prerequisites</h2>
<p>The DB2 tarball for 64 bit Linux X86 contains pre-requsites and installation instructions.
Basically <ul><p>
<li>64 bit DB2 for Linux X86-64 must be run on Intel EM64T or AMD64 based systems.<p></li>
<li>In order to obtain DB2 entire system installation tarballs,
you must be a registered user of IBM. Users of educational systems must be
registered in the Scholar Program.</li><p>
<li>To upgrade from 32 bit DB2 8.2.2 to 64 bit, fixpak 13 can be installed on top of 32 bit DB2 8.2.2
and then update the DB2 instance user to 64 bit. </li><p>
<li>You must be a root user in order to perform the installation.</li><p>
</ul>

<li><h2>Install DB2 8.2 for a bare system</h2>
<a href="#SolarisLinux32">Install DB2 Enterprise Server Edition software for DB2 8.2</a></h2><p>
if you are installing on a bare system without DB2.
</li>
<li><h2>Apply V8 FixPak 13 for LinuxAMD (2.6 kernel, 64 bit)</h2>
<p>The fixpak for 64 bit DB2 for X86 machines running Linux is: 
<pre>
		Regular Fixpak FP13_MI00167
</pre>
<ul>
<li><a href="ftp://ftp.software.ibm.com/ps/products/db2/fixes2/english-us/db2linux26AMD64/fixpak/FP13_MI00167/FP13_MI00167.tar">Download Regular Fixpak FP13_MI00167</a></li><p>
<li>Untar the downloaded fixpak into an installation directory. </li><p>
<li>cd to the installation directory and enter:
<pre><font color='brown'>
	./installFixPak -y
</font></pre></li> 
<li>After a successful upgrade, remove the installation directory.</li></ul>

<li><h2>Create or update to 64 bit DB2 instance</h2><p>
To create a 64 bit instance:
<pre><font color='brown'>
/opt/IBM/db2/V8.1/instance/db2icrt -w 64 -s ese -u ldasdb ldasdb
</font></pre>
To update an existing 32 bit instance
<pre><font color='brown'>
/opt/IBM/db2/V8.1/instance/db2updt -w 64 ldasdb
</font></pre>
<li>As user ldasdb, start DB2 via
</font><pre><font color="brown">
	db2start
</font></pre></li>
<li><h2>Verify the DB2 version installed</h2><p>
<a href="#ValidateInstallation">Execute step #12</a> in the instructions for installation of 32 bit DB2 for Solaris and Linux.
Before deleting the sample database connect to the sample database and verify the db2 8.2 patch level:
<pre><font color=brown>

	db2 connect to sample
    
 Database server        = DB2/LINUXX8664 8.2.6
 SQL authorization ID   = LDASDB
 Local database alias   = SAMPLE

 
</font></pre>
Another way to verify the DB2 version is via the <b>db2level</b> command:
<pre><font color=brown>
db2level
DB21085I  Instance "ldasdb" uses "64" bits and DB2 code release "SQL08026" with
level identifier "03070106".
Informational tokens are "DB2 v8.1.3.120", "s060801", "MI00167", and FixPak "13".
Product is installed at "/opt/IBM/db2/V8.1".
</font></pre>

<li><h2>Remove DB2 installation</h2><p>
To remove a DB2 installation,
<ol>
    <li>As user ldasdb, you may want to drop your existing databases first.</li>
    <li>As user ldasdb, issue <b>db2stop</b> to bring down DB2 if it is up and exit ldasdb login.</li>
    <li>As user root, issue <pre><font color=brown>&lt;DB2 installed path&gt;/instance/db2idrop ldasdb e.g.
/opt/ibm/db2/V8.1/db2idrop ldasdb
DBI1070I Program db2idrop completed successfully.</font></pre>
    <li>As user root, run deinstall process <DB2 installed path>/install/db2_deinstall ldasdb e.g.
    <pre><font color=brown>/opt/ibm/db2/V8.1/db2install -a</font></pre>
</ol>
</ol>

<a name="info"></a>
<p><h2>Additional DB2 Information</h2>
<ul>
    <li><a href="http://www-306.ibm.com/cgi-bin/db2www/data/db2/udb/winos2unix/support/v8pubs.d2w/en_main">
        IBM DB2 8 manuals</a>.
    <li><a href="ftp://ftp.software.ibm.com/ps/products/db2/info/vr8/pdf/letter/db2ise80.pdf">
        IBM Quick Beginnings Document for DB2 Servers (PDF)</a>.
    <li>Search the <a href="http://www-306.ibm.com/software/data/db2/udb/support.html">
        IBM DB2 Product and Service Technical Library</a>.
    <li><a href="http://publib.boulder.ibm.com/infocenter/db2help/index.jsp">
        IBM DB2 Information Center</a>
</ul>
<p>
<hr>
<div align=right><font color="gray"><i>Mary O. Lei</i></font></div>
</BODY>
</HTML>
